LSNS(8)

NAMN
lsns - lista namnrymder

SYNOPSIS

lsns [options] [namespace ID]

BESKRIVNING

lsns listar information om alla namnrymder som för närvarande är tillgängliga eller om en viss namnrymd. Identifieraren för namnrymden är ett inodnummer.

Standardutdata kan komma att ändras. Så när det är möjligt bör du undvika att använda standardutdata i dina skript. Definiera alltid uttryckligen förväntat utdataläge (--tree eller --list) och kolumner genom att använda flaggan --output tillsammans med en kolumnlista i miljöer där en stabil utdata krävs.

Kolumnen NSFS, som skrivs ut när net anges för flaggan --type, är speciell; den använder celler med flera rader. Använd flaggan --nowrap för att byta till ","-separerad enradig representation.

Observera att lsns läser information direkt från filsystemet /proc och för användare som inte är root kan den returnera ofullständig information. Det aktuella filsystemet /proc kan vara odelat och påverkas av ett PID-namnområde (se unshare --mount-proc för mer information). lsns kan inte se beständiga namnrymder utan processer där namnrymdsinstansen hålls av en bind mount till /proc/pid/ns/typ.

FLAGGOR

-H, --list-columns
    List the columns that can be specified with the --output option. Can be used with --json or --raw to get the list in a machine-readable format.

-J, --json
    Använd JSON-utdataformat.

-l, --list
    Använd utmatningsformat för lista.

-n, --noheadings
    Skriv inte ut någon rubrikrad.

-o, --output lista
    Ange vilka utdatakolumner som ska skrivas ut. Använd --help för att få en lista över alla kolumner som stöds.

    Standardlistan med kolumner kan utökas om lista anges i formatet +lista (t.ex. lsns -o +PATH).

--output-all
    Skriv ut alla tillgängliga kolumner.

-P, --persistent
    Visa endast namnrymder utan processer (även kallade beständiga namnrymder), som skapas genom att binda monteringsfiler av typen /proc/pid/ns/type till en filsystemssökväg.

-p, --task PID
    Visa endast de namnrymder som innehas av processen med detta PID.

-Q, --filter expr
    Skriv bara ut de namnrymder som uppfyller de villkor som anges av expr.

    Denna funktion är EXPERIMENTELL. Se även scols-filter(5). Uteslut t.ex. root som användarnamn, men skriv ut alla namnrymder som mer än en process tillhör:

        lsns --filter 'USER != "root" och NPROCS > 1'

-r, --raw
    Använd det råa utmatningsformatet.

-t, --type typ
    Visar endast den angivna typen av namnrymder. De typer som stöds är mnt, net, ipc, user, pid, uts, cgroup och time. Denna flagga kan anges mer än en gång.

-u, --notruncate
    Avkorta inte text i kolumner.

-W, --nowrap
    Använd inte flerradig text i kolumner.

-T, --tree[=rel]
    Använd trädliknande utdataformat. Om process anges som rel, skriv ut processträd i varje namnrymd. Detta är standard när --tree inte har angetts. Om parent anges skrivs träd ut som konstruerats av förälder/barn-relationen. Om owner anges skrivs träd ut som konstruerats genom förhållandet ägare/ägd. owner används som standard när rel utelämnas.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

Verktyget lsns avslutas med något av följande värden:

0
    Lyckades.

1
    Allmänt fel.

2
    En ioctl var okänd för kärnan.

MILJÖ

LSNS_DEBUG=all
    aktiverar lsns felsökningsutmatning.

LIBSMARTCOLS_DEBUG=all
    aktiverar libsmartcols felsökningsutdata.

LIBSMARTCOLS_DEBUG_PADDING=on
    använda synliga utfyllnadstecken.

UPPHOVSPERSONER

SE ÄVEN

nsenter(1), unshare(1), clone(2), namespaces(7), ioctl_ns(2), ip-netns(8), scols-filter(5)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot lsns ingår i paketet util-linux som kan hämtas från